[Hackage] #135: Epoch Support for Version Numbers

Hackage trac at galois.com
Fri Oct 26 09:21:01 EDT 2007

#135: Epoch Support for Version Numbers
  Reporter:  nominolo at gmail.com  |        Owner:  nominolo       
      Type:  enhancement         |       Status:  new            
  Priority:  normal              |    Milestone:                 
 Component:  Cabal               |      Version:  1.1.6          
  Severity:  minor               |   Resolution:                 
  Keywords:                      |   Difficulty:  easy (<4 hours)
Ghcversion:  6.4.2               |     Platform:  Linux          
Comment (by duncan):

 The downside with this is that every dependency on the new foo-1.0 has to
 specify foo >= 1:1.0. And they have to do this for ever more. There is no
 way to drop the epoch. It's not clear we want or need this.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/135#comment:2>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list